com.genesyslab.wfm7.API.service.config761

## Class CfgActivityDetails

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgActivityDetails

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgActivityDetails
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `infoType`
    `private boolean` | `provideActivitySetInfo`
    `private boolean` | `provideBUInfo`
    `private boolean` | `provideSiteInfo`
    `private boolean` | `provideVirtualActivityInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgActivityDetails()`
    `CfgActivityDetails(int infoType, boolean provideSiteInfo, boolean provideBUInfo, boolean provideActivitySetInfo, boolean provideVirtualActivityInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getInfoType()` Gets the infoType value for this CfgActivityDetails.
    `boolean` | `isProvideActivitySetInfo()` Gets the provideActivitySetInfo value for this CfgActivityDetails.
    `boolean` | `isProvideBUInfo()` Gets the provideBUInfo value for this CfgActivityDetails.
    `boolean` | `isProvideSiteInfo()` Gets the provideSiteInfo value for this CfgActivityDetails.
    `boolean` | `isProvideVirtualActivityInfo()` Gets the provideVirtualActivityInfo value for this CfgActivityDetails.
    `void` | `setInfoType(int infoType)` Sets the infoType value for this CfgActivityDetails.
    `void` | `setProvideActivitySetInfo(boolean provideActivitySetInfo)` Sets the provideActivitySetInfo value for this CfgActivityDetails.
    `void` | `setProvideBUInfo(boolean provideBUInfo)` Sets the provideBUInfo value for this CfgActivityDetails.
    `void` | `setProvideSiteInfo(boolean provideSiteInfo)` Sets the provideSiteInfo value for this CfgActivityDetails.
    `void` | `setProvideVirtualActivityInfo(boolean provideVirtualActivityInfo)` Sets the provideVirtualActivityInfo value for this CfgActivityDetails.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### infoType

          private int infoType

    - #### provideSiteInfo

          private boolean provideSiteInfo

    - #### provideBUInfo

          private boolean provideBUInfo

    - #### provideActivitySetInfo

          private boolean provideActivitySetInfo

    - #### provideVirtualActivityInfo

          private boolean provideVirtualActivityInfo

  - ### Constructor Detail

    - #### CfgActivityDetails

          public CfgActivityDetails()

    - #### CfgActivityDetails

          public CfgActivityDetails(int infoType,
                            boolean provideSiteInfo,
                            boolean provideBUInfo,
                            boolean provideActivitySetInfo,
                            boolean provideVirtualActivityInfo)

  - ### Method Detail

    - #### getInfoType

          public int getInfoType()

      Gets the infoType value for this CfgActivityDetails.
      Returns:
        infoType

    - #### setInfoType

          public void setInfoType(int infoType)

      Sets the infoType value for this CfgActivityDetails.
      Parameters:
        `infoType` -

    - #### isProvideSiteInfo

          public boolean isProvideSiteInfo()

      Gets the provideSiteInfo value for this CfgActivityDetails.
      Returns:
        provideSiteInfo

    - #### setProvideSiteInfo

          public void setProvideSiteInfo(boolean provideSiteInfo)

      Sets the provideSiteInfo value for this CfgActivityDetails.
      Parameters:
        `provideSiteInfo` -

    - #### isProvideBUInfo

          public boolean isProvideBUInfo()

      Gets the provideBUInfo value for this CfgActivityDetails.
      Returns:
        provideBUInfo

    - #### setProvideBUInfo

          public void setProvideBUInfo(boolean provideBUInfo)

      Sets the provideBUInfo value for this CfgActivityDetails.
      Parameters:
        `provideBUInfo` -

    - #### isProvideActivitySetInfo

          public boolean isProvideActivitySetInfo()

      Gets the provideActivitySetInfo value for this CfgActivityDetails.
      Returns:
        provideActivitySetInfo

    - #### setProvideActivitySetInfo

          public void setProvideActivitySetInfo(boolean provideActivitySetInfo)

      Sets the provideActivitySetInfo value for this CfgActivityDetails.
      Parameters:
        `provideActivitySetInfo` -

    - #### isProvideVirtualActivityInfo

          public boolean isProvideVirtualActivityInfo()

      Gets the provideVirtualActivityInfo value for this CfgActivityDetails.
      Returns:
        provideVirtualActivityInfo

    - #### setProvideVirtualActivityInfo

          public void setProvideVirtualActivityInfo(boolean provideVirtualActivityInfo)

      Sets the provideVirtualActivityInfo value for this CfgActivityDetails.
      Parameters:
        `provideVirtualActivityInfo` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.